L4DNation

Competitive => Pro Mod => Topic started by: rtokuda on January 01, 2020, 07:03:13 am

Title: error with confoglcompmod.smx
Post by: rtokuda on January 01, 2020, 07:03:13 am
My Pro mod happens this error every time I start the server;

L 01/01/2020 - 09:54:16: [confoglcompmod.smx] [MI] Couldn't load MapInfo data!
L 01/01/2020 - 09:54:16: [SM] Unable to load plugin "smac_cvars.smx": Could not find required plugin "smac"
L 01/01/2020 - 09:54:21: [SM] Exception reported: Invalid key value handle 0 (error 4)
L 01/01/2020 - 09:54:21: [SM] Blaming: confoglcompmod.smx
L 01/01/2020 - 09:54:21: [SM] Call stack trace:
L 01/01/2020 - 09:54:21: [SM]   
L 01/01/2020 - 09:54:21: [SM]   [1] Line 204, modules/MapInfo.sp::MI_KV_UpdateMapInfo
L 01/01/2020 - 09:54:21: [SM]   [2] Line 45, modules/MapInfo.sp::MI_OnMapStart
L 01/01/2020 - 09:54:21: [SM]   [3] Line 116, confoglcompmod.sp::OnMapStart
L 01/01/2020 - 09:54:27: [SM] Exception reported: Invalid key value handle 0 (error 4)
L 01/01/2020 - 09:54:27: [SM] Blaming: confoglcompmod.smx
L 01/01/2020 - 09:54:27: [SM] Call stack trace:
L 01/01/2020 - 09:54:27: [SM]   
L 01/01/2020 - 09:54:27: [SM]   [1] Line 50, modules/MapInfo.sp::MI_OnMapEnd
L 01/01/2020 - 09:54:27: [SM]   [2] Line 126, confoglcompmod.sp::OnMapEnd
L 01/01/2020 - 09:54:30: Error log file session closed.
L 01/01/2020 - 09:54:33: SourceMod error session started
L 01/01/2020 - 09:54:33: Info (map "c5m1_waterfront") (file "errors_20200101.log")
L 01/01/2020 - 09:54:33: [SM] Exception reported: Invalid key value handle 0 (error 4)
L 01/01/2020 - 09:54:33: [SM] Blaming: confoglcompmod.smx
L 01/01/2020 - 09:54:33: [SM] Call stack trace:
Title: Re: error with confoglcompmod.smx
Post by: AshesBeneath on January 02, 2020, 04:27:46 am
which promod config are you using and what's your sourcemod version? Promod is a pretty outdated config and can cause issues with newer sourcemod builds.
Title: Re: error with confoglcompmod.smx
Post by: rtokuda on January 02, 2020, 05:53:24 am
I use SourceMod (v1.9.0.6251) and ProMod 4.3.1. I installed the Pro Mod version to use Sky :

https://www.l4dnation.com/community-news/sky-v-2-7/ (https://www.l4dnation.com/community-news/sky-v-2-7/)
Title: Re: error with confoglcompmod.smx
Post by: AshesBeneath on January 02, 2020, 02:07:57 pm
I use SourceMod (v1.9.0.6251) and ProMod 4.3.1. I installed the Pro Mod version to use Sky :

https://www.l4dnation.com/community-news/sky-v-2-7/ (https://www.l4dnation.com/community-news/sky-v-2-7/)
Use older SourceMod builds like 1.6 or 1.7